//
//  NSXMMLExtensions.h
//  Malkinware
//
//  Created by Jim McGowan on 12/04/2007.
//  Copyright 2007 Jim McGowan. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSXMLNode (MWNSXMLNodeExtensions)

- (NSArray *)childrenNamed:(NSString *)name;
- (NSXMLNode *)firstChildNamed:(NSString *)name;

@end


@interface NSXMLElement (MWNSXMLElementExtensions)

- (NSArray *)elementsForName:(NSString *)name withAttribute:(NSString *)attName attributeValue:(id)attVal;
- (NSXMLElement *)firstElementWithName:(NSString *)name attribute:(NSString *)attName attributeValue:(id)attVal;

@end